Debian Bug report logs - #675475
docbook-dsssl: please rebuild to fix your copy of #477751

version graph

Package: src:docbook-dsssl; Maintainer for src:docbook-dsssl is Peter Eisentraut <petere@debian.org>;

Reported by: Helmut Grohne <helmut@subdivi.de>

Date: Fri, 1 Jun 2012 13:57:23 UTC

Severity: serious

Tags: sid, wheezy

Fixed in version docbook-dsssl/1.79-7

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Peter Eisentraut <petere@debian.org>:
Bug#675475; Package src:docbook-dsssl. (Fri, 01 Jun 2012 13:57:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Grohne <helmut@subdivi.de>:
New Bug report received and forwarded. Copy sent to Peter Eisentraut <petere@debian.org>. (Fri, 01 Jun 2012 13:57:27 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Helmut Grohne <helmut@subdivi.de>
To: maintonly@bugs.debian.org
Subject: docbook-dsssl: please rebuild to fix your copy of #477751
Date: Fri, 01 Jun 2012 15:52:37 +0200
Source: docbook-dsssl
Severity: serious

Dear maintainer(s) of docbook-dsssl,

TL;DR: Please upload a new version of this package closing this bug.

Problem
~~~~~~~
Your package uses the dh_installcatalogs helper from debhelper. This helper
added code to the postinst that unconditionally overwrites files in /etc which
is a policy violation. The corresponding bug #477751 is now solved in
debhelper. Nevertheless the code overwriting files in /etc is still present in
a binary package built from this source package, so your package needs a
rebuild. Unfortunately the binary package in question is Architecture: all, so
a binNMU is not enough.

How to solve
~~~~~~~~~~~~
This bug tracks the progress of the rebuild and should be closed by any upload
of this package. Before building, please ensure that your debhelper version is
at least 9.20120528 which should be the case if you are running sid. 


Is my package really/still affected?
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Any binary package using the dh_installcatalogs helper will add a versioned
dependency on sgml-base. If the depended upon version is at least 1.26+nmu2,
your package is not affected. In that case, just close this bug.


If you have any further questions concerning this issue, please don't hesitate
to contact me.

Thanks for your help

Helmut





Information forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#675475; Package src:docbook-dsssl. (Sat, 09 Jun 2012 11:00:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Eisentraut <petere@debian.org>. (Sat, 09 Jun 2012 11:00:29 GMT) Full text and rfc822 format available.

Message #10 received at 675475@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 675475@bugs.debian.org
Cc: control@bugs.debian.org
Subject: docbook-dsssl: diff for NMU version 1.79-6.1
Date: Sat, 9 Jun 2012 12:58:21 +0200
[Message part 1 (text/plain, inline)]
tags 675475 + pending
thanks

Dear maintainer,

I've prepared an NMU for docbook-dsssl (versioned as 1.79-6.1) and 
uploaded it to DELAYED/2. Please feel free to tell me if I should delay 
it longer.

-- 
Jakub Wilk
[docbook-dsssl-1.79-6.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 09 Jun 2012 11:01:39 GMT) Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. (Sat, 09 Jun 2012 21:51:06 GMT) Full text and rfc822 format available.

Notification sent to Helmut Grohne <helmut@subdivi.de>:
Bug acknowledged by developer. (Sat, 09 Jun 2012 21:51:07 GMT) Full text and rfc822 format available.

Message #17 received at 675475-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 675475-close@bugs.debian.org
Subject: Bug#675475: fixed in docbook-dsssl 1.79-7
Date: Sat, 09 Jun 2012 21:48:11 +0000
Source: docbook-dsssl
Source-Version: 1.79-7

We believe that the bug you reported is fixed in the latest version of
docbook-dsssl, which is due to be installed in the Debian FTP archive:

docbook-dsssl_1.79-7.debian.tar.gz
  to main/d/docbook-dsssl/docbook-dsssl_1.79-7.debian.tar.gz
docbook-dsssl_1.79-7.dsc
  to main/d/docbook-dsssl/docbook-dsssl_1.79-7.dsc
docbook-dsssl_1.79-7_all.deb
  to main/d/docbook-dsssl/docbook-dsssl_1.79-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675475@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated docbook-dsssl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Jun 2012 21:14:36 +0300
Source: docbook-dsssl
Binary: docbook-dsssl
Architecture: source all
Version: 1.79-7
Distribution: unstable
Urgency: low
Maintainer: Peter Eisentraut <petere@debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 docbook-dsssl - modular DocBook DSSSL stylesheets, for print and HTML
Closes: 675475
Changes: 
 docbook-dsssl (1.79-7) unstable; urgency=low
 .
   * Rebuilt and increased debhelper build dependency to fix
     dh_installcatalogs bug (closes: #675475)
   * Changed source format to 3.0 (quilt)
   * Refer to versioned license file in debian/copyright, per Lintian
   * Updated standards version
   * Changed to debhelper level 9
Checksums-Sha1: 
 d47d6664d1da46d7b5d15ccd9dc3008bcdbfeb96 1147 docbook-dsssl_1.79-7.dsc
 9fda241fcdf46ebdaef1c3a6845f57244e402c99 12055 docbook-dsssl_1.79-7.debian.tar.gz
 9a848625fba1f6f4cc29ecf7264acb2d8cbee832 374272 docbook-dsssl_1.79-7_all.deb
Checksums-Sha256: 
 ea621668766581a112969ccf3c5d7a3ad2960bebf1e70d0a1257943079c4629f 1147 docbook-dsssl_1.79-7.dsc
 5c06a0fd8972413cda395f63ea66f3345735857e6587e5c33a06dec8b9b2fd76 12055 docbook-dsssl_1.79-7.debian.tar.gz
 cc1d6fa2c4bda56d05f0366ee500a1a5f2e8dd94a9216940c9956be4b9091add 374272 docbook-dsssl_1.79-7_all.deb
Files: 
 a693d507ed412a358f0b2f394d11084c 1147 text optional docbook-dsssl_1.79-7.dsc
 ba86509eabd696b7fc0946ab02f54902 12055 text optional docbook-dsssl_1.79-7.debian.tar.gz
 487c3fdf54e3cea6fb2da0a1aebb6e75 374272 text optional docbook-dsssl_1.79-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/Tk2EACgkQTTx8oVVPtMZO1QCfQZsFcJkk2HoOOEKoO4mZdFre
mocAoIHL28goPv2rwIyxxdZn2xAbhPVp
=WvRJ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#675475; Package src:docbook-dsssl. (Sat, 09 Jun 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. (Sat, 09 Jun 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 675475@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 675475@bugs.debian.org
Subject: Re: Bug#675475: docbook-dsssl: diff for NMU version 1.79-6.1
Date: Sun, 10 Jun 2012 00:53:33 +0300
On lör, 2012-06-09 at 12:58 +0200, Jakub Wilk wrote:
> tags 675475 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for docbook-dsssl (versioned as 1.79-6.1) and 
> uploaded it to DELAYED/2. Please feel free to tell me if I should delay 
> it longer.

I had already prepared my own version, so this is no longer needed.
Thanks anyway.





Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 20:42:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jul 2012 07:31:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:46:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.